Package com.mckoi.database

## Class JoiningSet.JoinPart

- java.lang.Object
- - com.mckoi.database.JoiningSet.JoinPart

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

Enclosing class:
  JoiningSet

    public static class JoiningSet.JoinPart
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`JoinPart​(int type)`
`JoinPart​(int type, Expression on_expression)` Constructs the JoinPart.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JoinPart

    public JoinPart​(int type,
                    Expression on_expression)

Constructs the JoinPart.

#### JoinPart

    public JoinPart​(int type)

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`